Loading...
Searching...
No Matches
Opm::SymmTensor< T > Class Template Reference
Inheritance diagram for Opm::SymmTensor< T >:

## Public Types

using | field_type = T

## Public Member Functions

| SymmTensor (std::initializer_list< T > value)
void | operator+= (const T data)
void | operator+= (const SymmTensor< T > &data)
void | operator*= (const T data)
SymmTensor< T > & | operator= (const T value)
void | reset ()
T | trace () const
Public Member Functions inherited from Opm::VoigtContainer< T >
template<class Array>
| VoigtContainer (const Array &array)
| VoigtContainer (std::initializer_list< T > value)
const T & | operator[] (const VoigtIndex idx) const
T & | operator[] (const VoigtIndex idx)
constexpr std::size_t | size () const

## Additional Inherited Members

Static Public Attributes inherited from Opm::VoigtContainer< T >
static constexpr auto | indices
static constexpr auto | unique_indices
static constexpr auto | diag_indices
Protected Attributes inherited from Opm::VoigtContainer< T >
std::array< T, 6 > | data_ {}

The documentation for this class was generated from the following files:

- opm/common/utility/SymmTensor.hpp
- opm/common/utility/SymmTensor.cpp